export class Table {
    get columnData() {
        return this.columnKeys.map((key) => this.tableColumns[key]());
    }
    get rowData() {
        return this.collection.map((dataEntry, index) => {
            return this.columnKeys.map((key) => this.tableCells[key](dataEntry, index));
        });
    }
    set collectionData(collection) {
        this.collection = collection;
    }
    constructor(collection, columns, tableColumns, tableCells) {
        this.columnKeys = columns.split(',');
        this.collection = collection;
        this.tableColumns = tableColumns;
        this.tableCells = tableCells;
    }
}
